import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'

// https://vitejs.dev/config/
export default defineConfig({
	plugins: [vue()],
	server: {
		port: 4243,
		proxy: {
			'^/(api|playground|version)': 'http://localhost:4242/'
		}
	},
	build: {
		outDir: '../server/dist',
		emptyOutDir: true
	}
})
